// modules are defined as an array
// [ module function, map of requires ]
//
// map of requires is short require name -> numeric require
//
// anything defined in a previous bundle is accessed via the
// orig method which is the require for previous bundles
parcelRequire = (function (modules, cache, entry, globalName) {
  // Save the require from previous bundle to this closure if any
  var previousRequire = typeof parcelRequire === 'function' && parcelRequire;
  var nodeRequire = typeof require === 'function' && require;

  function newRequire(name, jumped) {
    if (!cache[name]) {
      if (!modules[name]) {
        // if we cannot find the module within our internal map or
        // cache jump to the current global require ie. the last bundle
        // that was added to the page.
        var currentRequire = typeof parcelRequire === 'function' && parcelRequire;
        if (!jumped && currentRequire) {
          return currentRequire(name, true);
        }

        // If there are other bundles on this page the require from the
        // previous one is saved to 'previousRequire'. Repeat this as
        // many times as there are bundles until the module is found or
        // we exhaust the require chain.
        if (previousRequire) {
          return previousRequire(name, true);
        }

        // Try the node require function if it exists.
        if (nodeRequire && typeof name === 'string') {
          return nodeRequire(name);
        }

        var err = new Error('Cannot find module \'' + name + '\'');
        err.code = 'MODULE_NOT_FOUND';
        throw err;
      }

      localRequire.resolve = resolve;
      localRequire.cache = {};

      var module = cache[name] = new newRequire.Module(name);

      modules[name][0].call(module.exports, localRequire, module, module.exports, this);
    }

    return cache[name].exports;

    function localRequire(x){
      return newRequire(localRequire.resolve(x));
    }

    function resolve(x){
      return modules[name][1][x] || x;
    }
  }

  function Module(moduleName) {
    this.id = moduleName;
    this.bundle = newRequire;
    this.exports = {};
  }

  newRequire.isParcelRequire = true;
  newRequire.Module = Module;
  newRequire.modules = modules;
  newRequire.cache = cache;
  newRequire.parent = previousRequire;
  newRequire.register = function (id, exports) {
    modules[id] = [function (require, module) {
      module.exports = exports;
    }, {}];
  };

  var error;
  for (var i = 0; i < entry.length; i++) {
    try {
      newRequire(entry[i]);
    } catch (e) {
      // Save first error but execute all entries
      if (!error) {
        error = e;
      }
    }
  }

  if (entry.length) {
    // Expose entry point to Node, AMD or browser globals
    // Based on https://github.com/ForbesLindesay/umd/blob/master/template.js
    var mainExports = newRequire(entry[entry.length - 1]);

    // CommonJS
    if (typeof exports === "object" && typeof module !== "undefined") {
      module.exports = mainExports;

    // RequireJS
    } else if (typeof define === "function" && define.amd) {
     define(function () {
       return mainExports;
     });

    // <script>
    } else if (globalName) {
      this[globalName] = mainExports;
    }
  }

  // Override the current require with this new one
  parcelRequire = newRequire;

  if (error) {
    // throw error from earlier, _after updating parcelRequire_
    throw error;
  }

  return newRequire;
})({"node_modules/parcel-bundler/src/builtins/bundle-url.js":[function(require,module,exports) {
var bundleURL = null;
function getBundleURLCached() {
  if (!bundleURL) {
    bundleURL = getBundleURL();
  }
  return bundleURL;
}
function getBundleURL() {
  // Attempt to find the URL of the current script and use that as the base URL
  try {
    throw new Error();
  } catch (err) {
    var matches = ('' + err.stack).match(/(https?|file|ftp|chrome-extension|moz-extension):\/\/[^)\n]+/g);
    if (matches) {
      return getBaseURL(matches[0]);
    }
  }
  return '/';
}
function getBaseURL(url) {
  return ('' + url).replace(/^((?:https?|file|ftp|chrome-extension|moz-extension):\/\/.+)?\/[^/]+(?:\?.*)?$/, '$1') + '/';
}
exports.getBundleURL = getBundleURLCached;
exports.getBaseURL = getBaseURL;
},{}],"node_modules/parcel-bundler/src/builtins/css-loader.js":[function(require,module,exports) {
var bundle = require('./bundle-url');
function updateLink(link) {
  var newLink = link.cloneNode();
  newLink.onload = function () {
    link.remove();
  };
  newLink.href = link.href.split('?')[0] + '?' + Date.now();
  link.parentNode.insertBefore(newLink, link.nextSibling);
}
var cssTimeout = null;
function reloadCSS() {
  if (cssTimeout) {
    return;
  }
  cssTimeout = setTimeout(function () {
    var links = document.querySelectorAll('link[rel="stylesheet"]');
    for (var i = 0; i < links.length; i++) {
      if (bundle.getBaseURL(links[i].href) === bundle.getBundleURL()) {
        updateLink(links[i]);
      }
    }
    cssTimeout = null;
  }, 50);
}
module.exports = reloadCSS;
},{"./bundle-url":"node_modules/parcel-bundler/src/builtins/bundle-url.js"}],"src/styles.css":[function(require,module,exports) {
var reloadCSS = require('_css_loader');
module.hot.dispose(reloadCSS);
module.hot.accept(reloadCSS);
},{"_css_loader":"node_modules/parcel-bundler/src/builtins/css-loader.js"}],"src/mockData.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.jsonData = void 0;
var jsonData = {
  results: {
    sheets: {
      Sheet1: {
        pkId: "13136",
        frozenColumnCount: 2,
        data: {
          dataTable: {
            "22": {
              "11": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Closing balance"
              },
              "1": {
                style: "DEFAULT_STYLE"
              },
              "2": {
                value: "-79221950.71",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "-521213238.85",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "4379015266.17",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "9061918650.88",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "23": {
              "11": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo US"
              },
              "2": {
                value: "-16438390.33",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "-231716088.57",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "2264812864.83",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "4162514482.53",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "24": {
              "11": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo CAN"
              },
              "2": {
                value: "-62783560.38",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "-289497150.27",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "2114202401.34",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "4899404168.35",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "25": {
              "1": {
                style: "DEFAULT_STYLE"
              }
            },
            "26": {
              "1": {
                style: "DEFAULT_STYLE"
              }
            },
            "27": {
              "1": {
                style: "DEFAULT_STYLE"
              }
            },
            "10": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 1,
                style: "DEFAULT_STYLE",
                value: "Manual Override"
              },
              "2": {
                style: "DEFAULT_STYLE"
              },
              "3": {
                style: "DEFAULT_STYLE"
              },
              "4": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "5": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "6": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              }
            },
            "11": {
              "11": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                style: "DEFAULT_STYLE"
              },
              "2": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "12": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Non Trade AR"
              },
              "1": {
                style: "DEFAULT_STYLE"
              },
              "2": {
                value: "523588345.41",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "507145018.03",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "13": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo US"
              },
              "2": {
                value: "260071964.38",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "243263636.84",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "14": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 1,
                style: "DEFAULT_STYLE",
                value: "Manual Override"
              },
              "2": {
                style: "DEFAULT_STYLE"
              },
              "3": {
                style: "DEFAULT_STYLE"
              },
              "4": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "5": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "6": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              }
            },
            "15": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo CAN"
              },
              "2": {
                value: "263516381.03",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "263881381.19",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "16": {
              "11": {
                style: "DEFAULT_STYLE"
              },
              "12": {
                style: "DEFAULT_STYLE"
              },
              "13": {
                style: "DEFAULT_STYLE"
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 1,
                style: "DEFAULT_STYLE",
                value: "Manual Override"
              },
              "2": {
                style: "DEFAULT_STYLE"
              },
              "3": {
                style: "DEFAULT_STYLE"
              },
              "4": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "5": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "6": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "10": {
                style: "DEFAULT_STYLE"
              }
            },
            "17": {
              "11": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                style: "DEFAULT_STYLE"
              },
              "2": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "18": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "0": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Net Cashflow"
              },
              "1": {
                style: "DEFAULT_STYLE"
              },
              "2": {
                value: "-460465394.85",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "3": {
                value: "-441991288.13",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "4": {
                value: "4900228505.02",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "5": {
                value: "4682903384.71",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "6": {
                value: "4242693802.31",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              }
            },
            "19": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo US"
              },
              "2": {
                value: "-231984008.75",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "3": {
                value: "-215277698.24",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "4": {
                value: "2496528953.40",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "5": {
                value: "1897701617.71",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "6": {
                value: "2413737692.97",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "14"
                }
              }
            },
            "0": {
              "0": {
                pkId: 6580,
                dimensionId: 1,
                style: "DEFAULT_STYLE",
                value: "Cashflow Category",
                order: 1
              },
              "1": {
                pkId: 6581,
                dimensionId: 2,
                style: "DEFAULT_STYLE",
                value: "Company",
                order: 2
              },
              "2": {
                style: "DEFAULT_STYLE",
                value: "W-2\t • 2022/03/07"
              },
              "3": {
                style: "DEFAULT_STYLE",
                value: "W-1\t • 2022/03/14"
              },
              "4": {
                style: "DEFAULT_STYLE",
                value: "W1\t • 2022/03/21"
              },
              "5": {
                style: "DEFAULT_STYLE",
                value: "W2\t • 2022/03/28"
              },
              "6": {
                style: "DEFAULT_STYLE",
                value: "W3\t • 2022/04/04"
              },
              "7": {
                style: "DEFAULT_STYLE",
                value: "W4\t • 2022/04/11"
              },
              "8": {
                style: "DEFAULT_STYLE",
                value: "W5\t • 2022/04/18"
              },
              "9": {
                style: "DEFAULT_STYLE",
                value: "W6\t • 2022/04/25"
              },
              "10": {
                style: "DEFAULT_STYLE",
                value: "W7\t • 2022/05/02"
              },
              "11": {
                style: "DEFAULT_STYLE",
                value: "W8\t • 2022/05/09"
              },
              "12": {
                style: "DEFAULT_STYLE",
                value: "W9\t • 2022/05/16"
              },
              "13": {
                style: "DEFAULT_STYLE",
                value: "W10\t • 2022/05/23"
              }
            },
            "1": {
              "1": {
                style: "DEFAULT_STYLE"
              }
            },
            "2": {
              "11": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE"
              },
              "12": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE"
              },
              "13": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE"
              },
              "0": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Opening"
              },
              "1": {
                style: "DEFAULT_STYLE"
              },
              "2": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "3": {
                value: "-79221950.71",
                style: "DEFAULT_STYLE"
              },
              "4": {
                value: "-521213238.85",
                style: "DEFAULT_STYLE"
              },
              "5": {
                value: "4379015266.17",
                style: "DEFAULT_STYLE"
              },
              "6": {
                value: "9061918650.88",
                style: "DEFAULT_STYLE"
              },
              "7": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE"
              },
              "8": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE"
              },
              "9": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE"
              },
              "10": {
                value: "13304612453.19",
                style: "DEFAULT_STYLE"
              }
            },
            "3": {
              "11": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE"
              },
              "12": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE"
              },
              "13": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE"
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo US"
              },
              "2": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "3": {
                value: "-16438390.33",
                style: "DEFAULT_STYLE"
              },
              "4": {
                value: "-231716088.57",
                style: "DEFAULT_STYLE"
              },
              "5": {
                value: "2264812864.83",
                style: "DEFAULT_STYLE"
              },
              "6": {
                value: "4162514482.53",
                style: "DEFAULT_STYLE"
              },
              "7": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE"
              },
              "8": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE"
              },
              "9": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE"
              },
              "10": {
                value: "6576252175.51",
                style: "DEFAULT_STYLE"
              }
            },
            "4": {
              "11": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE"
              },
              "12": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE"
              },
              "13": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE"
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo CAN"
              },
              "2": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "3": {
                value: "-62783560.38",
                style: "DEFAULT_STYLE"
              },
              "4": {
                value: "-289497150.27",
                style: "DEFAULT_STYLE"
              },
              "5": {
                value: "2114202401.34",
                style: "DEFAULT_STYLE"
              },
              "6": {
                value: "4899404168.35",
                style: "DEFAULT_STYLE"
              },
              "7": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE"
              },
              "8": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE"
              },
              "9": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE"
              },
              "10": {
                value: "6728360277.68",
                style: "DEFAULT_STYLE"
              }
            },
            "5": {
              "1": {
                style: "DEFAULT_STYLE"
              }
            },
            "6": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Trade AR Current Collection Projections "
              },
              "1": {
                style: "DEFAULT_STYLE"
              },
              "2": {
                value: "63122950.56",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "65153729.89",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "4900228505.02",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "4682903384.71",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "4242693802.31",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "7": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo US"
              },
              "2": {
                value: "28087955.63",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "27985938.60",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "2496528953.40",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "1897701617.71",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "2413737692.97",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "8": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 1,
                style: "DEFAULT_STYLE",
                value: "Manual Override"
              },
              "2": {
                style: "DEFAULT_STYLE"
              },
              "3": {
                style: "DEFAULT_STYLE"
              },
              "4": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "5": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "6": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE"
              }
            },
            "9": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo CAN"
              },
              "2": {
                value: "35034994.93",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "37167791.30",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "2403699551.62",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "2785201767.01",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "1828956109.34",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "20": {
              "11": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                depth: 0,
                style: "DEFAULT_STYLE",
                value: "Apollo CAN"
              },
              "2": {
                value: "-228481386.10",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                value: "-226713589.89",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                value: "2403699551.62",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                value: "2785201767.01",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                value: "1828956109.34",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                value: "0.00",
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            },
            "21": {
              "11": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "12": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "13": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "0": {
                style: "DEFAULT_STYLE"
              },
              "1": {
                style: "DEFAULT_STYLE"
              },
              "2": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "3": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "4": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "5": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "6": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "7": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "8": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "9": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              },
              "10": {
                style: "DEFAULT_STYLE",
                formatCellStyle: {
                  fontSize: "36"
                }
              }
            }
          }
        },
        columnCount: 14,
        activeCol: 4,
        name: "13136",
        rowCount: 28,
        isSnapshot: false,
        username: "Vinay Kumar"
      }
    },
    version: "14.0.10"
  },
  msg: "Data fetched successfully",
  success: true,
  custom_values: {}
};
exports.jsonData = jsonData;
},{}],"src/styles.js":[function(require,module,exports) {
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sheetStyles = exports.emptyCellDefaults = exports.editModeStyles = exports.defaults = exports.defaultStyle = exports.comparisonSheetStyles = exports.DEFAULT_MULTIENTRY_FORMATTER = exports.DEFAULT_DIFF_FORMATTER = exports.DEFAULT_DECIMAL_FORMATTER = void 0;
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
// import {defaultG4MUITheme as theme, PRIMARY_EXTRA_COLORS, SECONDARY_EXTRA_COLORS, STATUS_COLORS} from '@highradius/g4_ui_components/lib/components/theme/defaultTheme';
// import { DEFAULT_DECIMAL_FORMATTER, DEFAULT_DIFF_FORMATTER, DEFAULT_MULTIENTRY_FORMATTER } from './types';
var DEFAULT_DECIMAL_FORMATTER = "_(#,###0.00_);_((#,###0.00);0.00;_[Red](@_)";
exports.DEFAULT_DECIMAL_FORMATTER = DEFAULT_DECIMAL_FORMATTER;
var DEFAULT_MULTIENTRY_FORMATTER = "_(Σ* #,###0.00_);_(Σ* (#,###0.00);_(Σ* 0.00";
// To Show Only Two Decimals for Diff & Diff percentage
exports.DEFAULT_MULTIENTRY_FORMATTER = DEFAULT_MULTIENTRY_FORMATTER;
var DEFAULT_DIFF_FORMATTER = "_(#,###0.00_);_((#,###0.00);0.00;_[Red](@_)";
exports.DEFAULT_DIFF_FORMATTER = DEFAULT_DIFF_FORMATTER;
var defaultStyle = {
  name: "DEFAULT_STYLE",
  //   font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
  //   backColor: `${PRIMARY_EXTRA_COLORS.white}`,
  //   foreColor: `${theme.palette.grey[900]}`,
  hAlign: 2,
  vAlign: 1,
  cellPadding: "0 5 0 10",
  formatter: "".concat(DEFAULT_DECIMAL_FORMATTER),
  borderLeft: {
    // color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    // color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    // color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    // color: `${theme.palette.grey[300]}`,
    style: 2
  }
};
exports.defaultStyle = defaultStyle;
var sheetStyles = [{
  name: "PARENT_DIMENSION_STYLE",
  // font: `${theme.typography.body2.fontStyle} ${theme.typography.body2.fontWeight} ${theme.typography.caption.fontSize} ${theme.typography.body2.fontFamily}`,
  // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
  // foreColor: `${theme.palette.grey[900]}`,
  hAlign: 3,
  vAlign: 1,
  cellPadding: "0 0 0 10",
  borderLeft: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    //   color: `${theme.palette.grey[300]}`,
    style: 5
  }
}, {
  name: "DIMENSION_STYLE",
  // font:  ` ${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
  // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
  // foreColor: `${theme.palette.grey[900]}`,
  hAlign: 0,
  vAlign: 1,
  cellPadding: "0 10 0 20",
  borderLeft: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  }
}, {
  name: "ACTUAL_SECTION_HEADER_STYLE",
  // font: `${theme.typography.body2.fontStyle} ${theme.typography.body2.fontWeight} ${theme.typography.caption.fontSize} ${theme.typography.body2.fontFamily}`,
  // backColor: `${STATUS_COLORS.VALID}`,
  // foreColor: `${theme.palette.grey[900]}`,
  hAlign: 2,
  vAlign: 1,
  cellPadding: "0 10 0 10",
  borderLeft: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  }
}, {
  name: "FORECAST_SECTION_HEADER_STYLE",
  // font: `${theme.typography.body2.fontStyle} ${theme.typography.body2.fontWeight} ${theme.typography.caption.fontSize} ${theme.typography.body2.fontFamily}`,
  // backColor: `${SECONDARY_EXTRA_COLORS.green}`,
  // foreColor: `${PRIMARY_EXTRA_COLORS.white}`,
  hAlign: 2,
  vAlign: 1,
  cellPadding: "0 10 0 10",
  borderLeft: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  }
}, {
  name: "WEEK_STYLE",
  // font: `${theme.typography.caption.fontSize} ${theme.typography.body2.fontFamily}`,
  // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
  // foreColor: `${theme.palette.grey[900]}`,
  hAlign: 0,
  vAlign: 1,
  cellPadding: "0 0 0 10",
  borderLeft: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  }
}, {
  name: "DATE_STYLE",
  // font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
  // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
  // foreColor: `${theme.palette.grey[900]}`,
  hAlign: 2,
  vAlign: 1,
  cellPadding: "0 10 0 0",
  borderLeft: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  }
}, _objectSpread({}, defaultStyle), _objectSpread(_objectSpread({}, defaultStyle), {}, {
  name: "FORMULA_STYLE"
}), _objectSpread(_objectSpread({}, defaultStyle), {}, {
  name: "SINGLE_MANUAL_STYLE"
}), _objectSpread(_objectSpread({}, defaultStyle), {}, {
  name: "MULTIPLE_MANUAL_STYLE",
  formatter: "".concat(DEFAULT_MULTIENTRY_FORMATTER)
})];
exports.sheetStyles = sheetStyles;
var defaults = {
  colHeaderRowHeight: 36,
  colWidth: 150,
  rowHeaderColWidth: 40,
  rowHeight: 28,
  _isExcelDefaultColumnWidth: false
};
exports.defaults = defaults;
var editModeStyles = [{
  name: "SINGLE_MANUAL_STYLE",
  // font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
  // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
  // foreColor: `${theme.palette.grey[900]}`,
  hAlign: 2,
  vAlign: 1,
  cellPadding: "0 5 0 10",
  formatter: "".concat(DEFAULT_DECIMAL_FORMATTER),
  borderLeft: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  }
}, {
  name: "FORMULA_STYLE",
  // font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
  // backColor: `${theme.palette.grey[100]}`,
  // foreColor: `${theme.palette.grey[900]}`,
  hAlign: 2,
  vAlign: 1,
  cellPadding: "0 5 0 10",
  formatter: "".concat(DEFAULT_DECIMAL_FORMATTER),
  borderLeft: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  }
}, {
  name: "MULTIPLE_MANUAL_STYLE",
  // font:  `${theme.typography.caption.fontSize} ${theme.typography.body1.fontFamily}`,
  // backColor: `${PRIMARY_EXTRA_COLORS.white}`,
  // foreColor: `${theme.palette.grey[900]}`,
  hAlign: 2,
  vAlign: 1,
  cellPadding: "0 5 0 10",
  formatter: "".concat(DEFAULT_MULTIENTRY_FORMATTER),
  borderLeft: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderRight: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderBottom: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  },
  borderTop: {
    //   color: `${theme.palette.grey[300]}`,
    style: 2
  }
}];
exports.editModeStyles = editModeStyles;
var comparisonSheetStyles = [_objectSpread(_objectSpread({}, defaultStyle), {}, {
  name: "DIFFERENCE_STYLE",
  formatter: DEFAULT_DIFF_FORMATTER
})];
exports.comparisonSheetStyles = comparisonSheetStyles;
var emptyCellDefaults = {
  rowHeight: 20
};
exports.emptyCellDefaults = emptyCellDefaults;
},{}],"src/index.js":[function(require,module,exports) {
"use strict";

require("./styles.css");
var _mockData = require("./mockData");
var _styles2 = require("./styles.js");
function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }
function _regeneratorRuntime() { "use strict"; /*! regenerator-runtime -- Copyright (c) 2014-present, Facebook, Inc. -- license (MIT): https://github.com/facebook/regenerator/blob/main/LICENSE */ _regeneratorRuntime = function _regeneratorRuntime() { return exports; }; var exports = {}, Op = Object.prototype, hasOwn = Op.hasOwnProperty, defineProperty = Object.defineProperty || function (obj, key, desc) { obj[key] = desc.value; }, $Symbol = "function" == typeof Symbol ? Symbol : {}, iteratorSymbol = $Symbol.iterator || "@@iterator", asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator", toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag"; function define(obj, key, value) { return Object.defineProperty(obj, key, { value: value, enumerable: !0, configurable: !0, writable: !0 }), obj[key]; } try { define({}, ""); } catch (err) { define = function define(obj, key, value) { return obj[key] = value; }; } function wrap(innerFn, outerFn, self, tryLocsList) { var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator, generator = Object.create(protoGenerator.prototype), context = new Context(tryLocsList || []); return defineProperty(generator, "_invoke", { value: makeInvokeMethod(innerFn, self, context) }), generator; } function tryCatch(fn, obj, arg) { try { return { type: "normal", arg: fn.call(obj, arg) }; } catch (err) { return { type: "throw", arg: err }; } } exports.wrap = wrap; var ContinueSentinel = {}; function Generator() {} function GeneratorFunction() {} function GeneratorFunctionPrototype() {} var IteratorPrototype = {}; define(IteratorPrototype, iteratorSymbol, function () { return this; }); var getProto = Object.getPrototypeOf, NativeIteratorPrototype = getProto && getProto(getProto(values([]))); NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol) && (IteratorPrototype = NativeIteratorPrototype); var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype); function defineIteratorMethods(prototype) { ["next", "throw", "return"].forEach(function (method) { define(prototype, method, function (arg) { return this._invoke(method, arg); }); }); } function AsyncIterator(generator, PromiseImpl) { function invoke(method, arg, resolve, reject) { var record = tryCatch(generator[method], generator, arg); if ("throw" !== record.type) { var result = record.arg, value = result.value; return value && "object" == _typeof(value) && hasOwn.call(value, "__await") ? PromiseImpl.resolve(value.__await).then(function (value) { invoke("next", value, resolve, reject); }, function (err) { invoke("throw", err, resolve, reject); }) : PromiseImpl.resolve(value).then(function (unwrapped) { result.value = unwrapped, resolve(result); }, function (error) { return invoke("throw", error, resolve, reject); }); } reject(record.arg); } var previousPromise; defineProperty(this, "_invoke", { value: function value(method, arg) { function callInvokeWithMethodAndArg() { return new PromiseImpl(function (resolve, reject) { invoke(method, arg, resolve, reject); }); } return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg(); } }); } function makeInvokeMethod(innerFn, self, context) { var state = "suspendedStart"; return function (method, arg) { if ("executing" === state) throw new Error("Generator is already running"); if ("completed" === state) { if ("throw" === method) throw arg; return doneResult(); } for (context.method = method, context.arg = arg;;) { var delegate = context.delegate; if (delegate) { var delegateResult = maybeInvokeDelegate(delegate, context); if (delegateResult) { if (delegateResult === ContinueSentinel) continue; return delegateResult; } } if ("next" === context.method) context.sent = context._sent = context.arg;else if ("throw" === context.method) { if ("suspendedStart" === state) throw state = "completed", context.arg; context.dispatchException(context.arg); } else "return" === context.method && context.abrupt("return", context.arg); state = "executing"; var record = tryCatch(innerFn, self, context); if ("normal" === record.type) { if (state = context.done ? "completed" : "suspendedYield", record.arg === ContinueSentinel) continue; return { value: record.arg, done: context.done }; } "throw" === record.type && (state = "completed", context.method = "throw", context.arg = record.arg); } }; } function maybeInvokeDelegate(delegate, context) { var methodName = context.method, method = delegate.iterator[methodName]; if (undefined === method) return context.delegate = null, "throw" === methodName && delegate.iterator.return && (context.method = "return", context.arg = undefined, maybeInvokeDelegate(delegate, context), "throw" === context.method) || "return" !== methodName && (context.method = "throw", context.arg = new TypeError("The iterator does not provide a '" + methodName + "' method")), ContinueSentinel; var record = tryCatch(method, delegate.iterator, context.arg); if ("throw" === record.type) return context.method = "throw", context.arg = record.arg, context.delegate = null, ContinueSentinel; var info = record.arg; return info ? info.done ? (context[delegate.resultName] = info.value, context.next = delegate.nextLoc, "return" !== context.method && (context.method = "next", context.arg = undefined), context.delegate = null, ContinueSentinel) : info : (context.method = "throw", context.arg = new TypeError("iterator result is not an object"), context.delegate = null, ContinueSentinel); } function pushTryEntry(locs) { var entry = { tryLoc: locs[0] }; 1 in locs && (entry.catchLoc = locs[1]), 2 in locs && (entry.finallyLoc = locs[2], entry.afterLoc = locs[3]), this.tryEntries.push(entry); } function resetTryEntry(entry) { var record = entry.completion || {}; record.type = "normal", delete record.arg, entry.completion = record; } function Context(tryLocsList) { this.tryEntries = [{ tryLoc: "root" }], tryLocsList.forEach(pushTryEntry, this), this.reset(!0); } function values(iterable) { if (iterable) { var iteratorMethod = iterable[iteratorSymbol]; if (iteratorMethod) return iteratorMethod.call(iterable); if ("function" == typeof iterable.next) return iterable; if (!isNaN(iterable.length)) { var i = -1, next = function next() { for (; ++i < iterable.length;) { if (hasOwn.call(iterable, i)) return next.value = iterable[i], next.done = !1, next; } return next.value = undefined, next.done = !0, next; }; return next.next = next; } } return { next: doneResult }; } function doneResult() { return { value: undefined, done: !0 }; } return GeneratorFunction.prototype = GeneratorFunctionPrototype, defineProperty(Gp, "constructor", { value: GeneratorFunctionPrototype, configurable: !0 }), defineProperty(GeneratorFunctionPrototype, "constructor", { value: GeneratorFunction, configurable: !0 }), GeneratorFunction.displayName = define(GeneratorFunctionPrototype, toStringTagSymbol, "GeneratorFunction"), exports.isGeneratorFunction = function (genFun) { var ctor = "function" == typeof genFun && genFun.constructor; return !!ctor && (ctor === GeneratorFunction || "GeneratorFunction" === (ctor.displayName || ctor.name)); }, exports.mark = function (genFun) { return Object.setPrototypeOf ? Object.setPrototypeOf(genFun, GeneratorFunctionPrototype) : (genFun.__proto__ = GeneratorFunctionPrototype, define(genFun, toStringTagSymbol, "GeneratorFunction")), genFun.prototype = Object.create(Gp), genFun; }, exports.awrap = function (arg) { return { __await: arg }; }, defineIteratorMethods(AsyncIterator.prototype), define(AsyncIterator.prototype, asyncIteratorSymbol, function () { return this; }), exports.AsyncIterator = AsyncIterator, exports.async = function (innerFn, outerFn, self, tryLocsList, PromiseImpl) { void 0 === PromiseImpl && (PromiseImpl = Promise); var iter = new AsyncIterator(wrap(innerFn, outerFn, self, tryLocsList), PromiseImpl); return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function (result) { return result.done ? result.value : iter.next(); }); }, defineIteratorMethods(Gp), define(Gp, toStringTagSymbol, "Generator"), define(Gp, iteratorSymbol, function () { return this; }), define(Gp, "toString", function () { return "[object Generator]"; }), exports.keys = function (val) { var object = Object(val), keys = []; for (var key in object) { keys.push(key); } return keys.reverse(), function next() { for (; keys.length;) { var key = keys.pop(); if (key in object) return next.value = key, next.done = !1, next; } return next.done = !0, next; }; }, exports.values = values, Context.prototype = { constructor: Context, reset: function reset(skipTempReset) { if (this.prev = 0, this.next = 0, this.sent = this._sent = undefined, this.done = !1, this.delegate = null, this.method = "next", this.arg = undefined, this.tryEntries.forEach(resetTryEntry), !skipTempReset) for (var name in this) { "t" === name.charAt(0) && hasOwn.call(this, name) && !isNaN(+name.slice(1)) && (this[name] = undefined); } }, stop: function stop() { this.done = !0; var rootRecord = this.tryEntries[0].completion; if ("throw" === rootRecord.type) throw rootRecord.arg; return this.rval; }, dispatchException: function dispatchException(exception) { if (this.done) throw exception; var context = this; function handle(loc, caught) { return record.type = "throw", record.arg = exception, context.next = loc, caught && (context.method = "next", context.arg = undefined), !!caught; } for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i], record = entry.completion; if ("root" === entry.tryLoc) return handle("end"); if (entry.tryLoc <= this.prev) { var hasCatch = hasOwn.call(entry, "catchLoc"), hasFinally = hasOwn.call(entry, "finallyLoc"); if (hasCatch && hasFinally) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } else if (hasCatch) { if (this.prev < entry.catchLoc) return handle(entry.catchLoc, !0); } else { if (!hasFinally) throw new Error("try statement without catch or finally"); if (this.prev < entry.finallyLoc) return handle(entry.finallyLoc); } } } }, abrupt: function abrupt(type, arg) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) { var finallyEntry = entry; break; } } finallyEntry && ("break" === type || "continue" === type) && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc && (finallyEntry = null); var record = finallyEntry ? finallyEntry.completion : {}; return record.type = type, record.arg = arg, finallyEntry ? (this.method = "next", this.next = finallyEntry.finallyLoc, ContinueSentinel) : this.complete(record); }, complete: function complete(record, afterLoc) { if ("throw" === record.type) throw record.arg; return "break" === record.type || "continue" === record.type ? this.next = record.arg : "return" === record.type ? (this.rval = this.arg = record.arg, this.method = "return", this.next = "end") : "normal" === record.type && afterLoc && (this.next = afterLoc), ContinueSentinel; }, finish: function finish(finallyLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.finallyLoc === finallyLoc) return this.complete(entry.completion, entry.afterLoc), resetTryEntry(entry), ContinueSentinel; } }, catch: function _catch(tryLoc) { for (var i = this.tryEntries.length - 1; i >= 0; --i) { var entry = this.tryEntries[i]; if (entry.tryLoc === tryLoc) { var record = entry.completion; if ("throw" === record.type) { var thrown = record.arg; resetTryEntry(entry); } return thrown; } } throw new Error("illegal catch attempt"); }, delegateYield: function delegateYield(iterable, resultName, nextLoc) { return this.delegate = { iterator: values(iterable), resultName: resultName, nextLoc: nextLoc }, "next" === this.method && (this.arg = undefined), ContinueSentinel; } }, exports; }
function asyncGeneratorStep(gen, resolve, reject, _next, _throw, key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { Promise.resolve(value).then(_next, _throw); } }
function _asyncToGenerator(fn) { return function () { var self = this, args = arguments; return new Promise(function (resolve, reject) { var gen = fn.apply(self, args); function _next(value) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "next", value); } function _throw(err) { asyncGeneratorStep(gen, resolve, reject, _next, _throw, "throw", err); } _next(undefined); }); }; }
// initSpread(spread);

window.onload = /*#__PURE__*/_asyncToGenerator( /*#__PURE__*/_regeneratorRuntime().mark(function _callee() {
  var fontFile;
  return _regeneratorRuntime().wrap(function _callee$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          fontFile = new FontFace("Poppins", "url(PoppinsRegular.ttf)");
          document.fonts.add(fontFile);
          fontFile.load().then(function () {
            console.log("Font Loaded Successfully");
            var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"));
            initSpread(spread);
          }, function (err) {
            console.log('error');
            console.log(err);
          });
        case 3:
        case "end":
          return _context.stop();
      }
    }
  }, _callee);
}));
function initSpread(spread) {
  window["spread"] = spread;
  var workSheetResponse = _mockData.jsonData.results;
  workSheetResponse.namedStyles = [].concat(_toConsumableArray(_styles2.sheetStyles), _toConsumableArray(_styles2.editModeStyles));
  workSheetResponse.sheets.Sheet1.defaults = _styles2.defaults;
  initSpreadData(spread, workSheetResponse);
  console.log(spread);
  spread.invalidateLayout();
}
function applyCellStyle(sheet, row, col) {
  if (!sheet) return;
  sheet.getCell(row, col).font("bold 24px Poppins");
}
var _oldFn = GC.Spread.Sheets.CellTypes.Base.prototype.getAutoFitWidth;
GC.Spread.Sheets.CellTypes.Base.prototype.getAutoFitWidth = function () {
  var minWidth = 100;
  var width = _oldFn.apply(this, arguments);
  return Math.max(minWidth, width);
};
function initSpreadData(spread, jsonData1) {
  spread.fromJSON(jsonData1);
  spread.commandManager().setShortcutKey("", GC.Spread.Commands.Key.z, true, false, false, false);
  spread.options.allowContextMenu = false;
  spread.options.tabStripVisible = false;
  spread.options.showHorizontalScrollbar = true;
  spread.options.showVerticalScrollbar = true;
  spread.options.scrollbarMaxAlign = true;
  spread.options.scrollByPixel = true;
  spread.options.allowUserDragDrop = false;
  spread.options.allowUserDragFill = false;
  var sheet = spread === null || spread === void 0 ? void 0 : spread.getActiveSheet();
  sheet.suspendPaint();
  sheet.zoom(1.1);
  sheet.defaults.rowHeight = 50;
  //sheet.options.isProtected = true;
  sheet.options.protectionOptions.allowEditObjects = true;
  sheet.options.protectionOptions.allowResizeColumns = true;
  var rowCount = sheet.getRowCount();
  var colCounts = sheet.getColumnCount();
  var gFormatter = {};
  var gFormatterMultiEntry = {};
  var styleFormatter = "_(## ## ## ## ## ## ## ## ###.00000_);_(-## ## ## ## ## ## ## ## ###.00000_);0.00000;[Red]_(@_)";
  gFormatter = new GC.Spread.Formatter.GeneralFormatter(styleFormatter, "en-us");
  var CustomFormatType = new GC.Spread.Formatter.GeneralFormatter("", "");
  var CustomFormatTypeForMultiEntryMO = new GC.Spread.Formatter.GeneralFormatter("", "");
  var formatterProducer = function formatterProducer(formatter) {
    return function (obj, formattedData) {
      if (typeof obj === "number") {
        return formatNumber(obj, formattedData, formatter);
      } else if (typeof obj === "string") {
        if (Number.isFinite(Number(obj))) {
          return formatNumber(parseFloat(obj), formattedData, formatter);
        }
      }
      return obj ? obj.toString() : "";
    };
  };
  CustomFormatType.format = formatterProducer(gFormatter);
  CustomFormatTypeForMultiEntryMO.format = formatterProducer(gFormatterMultiEntry);
  var formatNumber = function formatNumber(value, formattedData, formatter) {
    var newFormattedValue = formatter.format(value, formattedData);
    var content = [];
    var pushToContent = false;
    formattedData.content.forEach(function (item) {
      switch (item.type) {
        case "decimalSeparator":
          item.value = ".";
          content.push(item);
          break;
        case "groupSeparator":
          item.value = ",";
          content.push(item);
          break;
        case "text":
          if (item.value === " ") {
            if (pushToContent) {
              item.value = ",";
              content.push(item);
            }
          } else {
            content.push(item);
          }
          break;
        case "number":
          content.push(item);
          pushToContent = true;
          break;
        default:
          content.push(item);
      }
    });
    formattedData.content = content;
    // return value;
    return newFormattedValue;
  };
  for (var i = 1; i < rowCount; i++) {
    for (var j = 0; j < colCounts; j++) {
      // var cell = sheet.getCell(i, j);
      applyCellStyle(sheet, i, j);
    }
  }
  sheet.resumePaint();
  //   setSpread(spread);
}
// eslint-disable-next-line react-hooks/exhaustive-deps
},{"./styles.css":"src/styles.css","./mockData":"src/mockData.js","./styles.js":"src/styles.js"}],"node_modules/parcel-bundler/src/builtins/hmr-runtime.js":[function(require,module,exports) {
var global = arguments[3];
var OVERLAY_ID = '__parcel__error__overlay__';
var OldModule = module.bundle.Module;
function Module(moduleName) {
  OldModule.call(this, moduleName);
  this.hot = {
    data: module.bundle.hotData,
    _acceptCallbacks: [],
    _disposeCallbacks: [],
    accept: function (fn) {
      this._acceptCallbacks.push(fn || function () {});
    },
    dispose: function (fn) {
      this._disposeCallbacks.push(fn);
    }
  };
  module.bundle.hotData = null;
}
module.bundle.Module = Module;
var checkedAssets, assetsToAccept;
var parent = module.bundle.parent;
if ((!parent || !parent.isParcelRequire) && typeof WebSocket !== 'undefined') {
  var hostname = "" || location.hostname;
  var protocol = location.protocol === 'https:' ? 'wss' : 'ws';
  var ws = new WebSocket(protocol + '://' + hostname + ':' + "63259" + '/');
  ws.onmessage = function (event) {
    checkedAssets = {};
    assetsToAccept = [];
    var data = JSON.parse(event.data);
    if (data.type === 'update') {
      var handled = false;
      data.assets.forEach(function (asset) {
        if (!asset.isNew) {
          var didAccept = hmrAcceptCheck(global.parcelRequire, asset.id);
          if (didAccept) {
            handled = true;
          }
        }
      });

      // Enable HMR for CSS by default.
      handled = handled || data.assets.every(function (asset) {
        return asset.type === 'css' && asset.generated.js;
      });
      if (handled) {
        console.clear();
        data.assets.forEach(function (asset) {
          hmrApply(global.parcelRequire, asset);
        });
        assetsToAccept.forEach(function (v) {
          hmrAcceptRun(v[0], v[1]);
        });
      } else if (location.reload) {
        // `location` global exists in a web worker context but lacks `.reload()` function.
        location.reload();
      }
    }
    if (data.type === 'reload') {
      ws.close();
      ws.onclose = function () {
        location.reload();
      };
    }
    if (data.type === 'error-resolved') {
      console.log('[parcel] ✨ Error resolved');
      removeErrorOverlay();
    }
    if (data.type === 'error') {
      console.error('[parcel] 🚨  ' + data.error.message + '\n' + data.error.stack);
      removeErrorOverlay();
      var overlay = createErrorOverlay(data);
      document.body.appendChild(overlay);
    }
  };
}
function removeErrorOverlay() {
  var overlay = document.getElementById(OVERLAY_ID);
  if (overlay) {
    overlay.remove();
  }
}
function createErrorOverlay(data) {
  var overlay = document.createElement('div');
  overlay.id = OVERLAY_ID;

  // html encode message and stack trace
  var message = document.createElement('div');
  var stackTrace = document.createElement('pre');
  message.innerText = data.error.message;
  stackTrace.innerText = data.error.stack;
  overlay.innerHTML = '<div style="background: black; font-size: 16px; color: white; position: fixed; height: 100%; width: 100%; top: 0px; left: 0px; padding: 30px; opacity: 0.85; font-family: Menlo, Consolas, monospace; z-index: 9999;">' + '<span style="background: red; padding: 2px 4px; border-radius: 2px;">ERROR</span>' + '<span style="top: 2px; margin-left: 5px; position: relative;">🚨</span>' + '<div style="font-size: 18px; font-weight: bold; margin-top: 20px;">' + message.innerHTML + '</div>' + '<pre>' + stackTrace.innerHTML + '</pre>' + '</div>';
  return overlay;
}
function getParents(bundle, id) {
  var modules = bundle.modules;
  if (!modules) {
    return [];
  }
  var parents = [];
  var k, d, dep;
  for (k in modules) {
    for (d in modules[k][1]) {
      dep = modules[k][1][d];
      if (dep === id || Array.isArray(dep) && dep[dep.length - 1] === id) {
        parents.push(k);
      }
    }
  }
  if (bundle.parent) {
    parents = parents.concat(getParents(bundle.parent, id));
  }
  return parents;
}
function hmrApply(bundle, asset) {
  var modules = bundle.modules;
  if (!modules) {
    return;
  }
  if (modules[asset.id] || !bundle.parent) {
    var fn = new Function('require', 'module', 'exports', asset.generated.js);
    asset.isNew = !modules[asset.id];
    modules[asset.id] = [fn, asset.deps];
  } else if (bundle.parent) {
    hmrApply(bundle.parent, asset);
  }
}
function hmrAcceptCheck(bundle, id) {
  var modules = bundle.modules;
  if (!modules) {
    return;
  }
  if (!modules[id] && bundle.parent) {
    return hmrAcceptCheck(bundle.parent, id);
  }
  if (checkedAssets[id]) {
    return;
  }
  checkedAssets[id] = true;
  var cached = bundle.cache[id];
  assetsToAccept.push([bundle, id]);
  if (cached && cached.hot && cached.hot._acceptCallbacks.length) {
    return true;
  }
  return getParents(global.parcelRequire, id).some(function (id) {
    return hmrAcceptCheck(global.parcelRequire, id);
  });
}
function hmrAcceptRun(bundle, id) {
  var cached = bundle.cache[id];
  bundle.hotData = {};
  if (cached) {
    cached.hot.data = bundle.hotData;
  }
  if (cached && cached.hot && cached.hot._disposeCallbacks.length) {
    cached.hot._disposeCallbacks.forEach(function (cb) {
      cb(bundle.hotData);
    });
  }
  delete bundle.cache[id];
  bundle(id);
  cached = bundle.cache[id];
  if (cached && cached.hot && cached.hot._acceptCallbacks.length) {
    cached.hot._acceptCallbacks.forEach(function (cb) {
      cb();
    });
    return true;
  }
}
},{}]},{},["node_modules/parcel-bundler/src/builtins/hmr-runtime.js","src/index.js"], null)
//# sourceMappingURL=/src.a2b27638.js.map